SetActivLeaf("HollMuzeya");

--крыса
add_animation(121,true)
add_animation_frame(121,"holl_anim",239,726,324,368,170,39,0.15);
add_animation_frame(121,"holl_anim",382,691,324,407,134,58,0.15);
add_animation_frame(121,"holl_anim",480,655,395,0,113,48,0.15);
add_animation_frame(121,"holl_anim",556,628,395,48,45,37,0.15);
add_animation_frame(121,"holl_anim",565,608,440,48,43,15,0.15);
add_animation_frame(121,"holl_anim",342,596,483,48,29,12,0.15);
add_animation_frame(121,"holl_anim",-1000,493  ,64,0,82,95,10);
StartAnimation(121)


addstaticobjecttogame(124,"holl_anim",77,16,"",0,0,121,395);
addstaticobjecttogame(125,"holl_anim",63,16,"",121,0,128,395);


addstaticobjecttogame(126,"holl_anim",865,53,"",249,0,75,368);
addstaticobjecttogame(127,"holl_anim",875,53,"",324,0,71,368);


--паук
add_animation(122)
add_animation_frame(122,"holl_anim",2000,474,0,453,39,54,0.4);
add_animation_frame(122,"holl_anim",2000,474,40,453,39,54,0.4);
add_animation_frame(122,"holl_anim",2000,474,80,453,39,54,0.4);
StartAnimation(122)

-- addstaticobjecttogame(122,"holl_anim",2000,474,"",0,453,39,54);

flySp = {"InstantiationOfLine", 2, 984,374, 1004,73,6, true};
flySp1 = {"InstantiationOfLine", 2, 984,73, 984,-200, 0.0001, true};
StartTravel(122,2,nil,nil,flySp,flySp1);
StartTimer(1222,15)
particle_table={72,215,73,215,73,216};

CreatePolygon(NewId("light_6_0"),3,"particle_table");
--ShowPolygon(obj.light_6_0.id,true);
AddEmiter(obj.light_6_0.id,"light_6_0",nil,nil,nil,true);
StartEmiter("light_6_0");
MoveEmiter("light_6_0",200,100)

CreatePolygon(NewId("light_6_1"),3,"particle_table");
--ShowPolygon(obj.light_6_1.id,true);
AddEmiter(obj.light_6_1.id,"light_6_1",nil,nil,nil,true);
StartEmiter("light_6_1");
MoveEmiter("light_6_1",850,0)

NewObj("otkrytyj_yaschik_6_0","BigTexture114",780,511,"",0,0,0,0,45,25);

NewObj("tajnik_6_0","BigTexture114",631,464,"",0,0,0,25,27,22);

door_Muzey_6_0_table={0,678,1024,678,1024,768,0,768};
CreatePolygon(NewId("door_Muzey_6_0"),4,"door_Muzey_6_0_table");
--ShowPolygon(obj.door_Muzey_6_0.id,true);

door_ZalMuzeya_6_0_table={860,310,987,310,987,548,860,548};
CreatePolygon(NewId("door_ZalMuzeya_6_0"),4,"door_ZalMuzeya_6_0_table");
--ShowPolygon(obj.door_ZalMuzeya_6_0.id,true);
door_KoridorMuzeya_6_0_table={0,73,390,73,390,330,0,345};
CreatePolygon(NewId("door_KoridorMuzeya_6_0"),4,"door_KoridorMuzeya_6_0_table");

door_KoridorMuzeya_6_01_table={647,73,1024,73,1024,330,647,345};
CreatePolygon(NewId("door_KoridorMuzeya_6_01"),4,"door_KoridorMuzeya_6_01_table");

door_HollMuzeyaHidden_6_0_table={100,500,349,500,349,630,100,630};
CreatePolygon(NewId("door_HollMuzeyaHidden_6_0"),4,"door_HollMuzeyaHidden_6_0_table");
--ShowPolygon(obj.door_HollMuzeyaHidden_6_0.id,true);
AddEmiter(obj.door_HollMuzeyaHidden_6_0.id,"Hidden_6_1",true,nil,nil,true);
StartEmiter("Hidden_6_1");

mini_Zerkalo_6_0_table={444,300,598,300,598,443,444,443};
CreatePolygon(NewId("mini_Zerkalo_6_0"),4,"mini_Zerkalo_6_0_table");
--ShowPolygon(obj.mini_Zerkalo_6_0.id,true);
AddEmiter(obj.mini_Zerkalo_6_0.id,"Standart_6_4");
StartEmiter("Standart_6_4");

mini_HollMuzeyaBalerina_6_0_table={614,309,669,309,669,429,614,429};
CreatePolygon(NewId("mini_HollMuzeyaBalerina_6_0"),4,"mini_HollMuzeyaBalerina_6_0_table");
--ShowPolygon(obj.mini_HollMuzeyaBalerina_6_0.id,true);
AddEmiter(obj.mini_HollMuzeyaBalerina_6_0.id,"Standart_6_5");
StartEmiter("Standart_6_5");

mini_Tumba_6_0_table={680,460,830,460,830,580,680,580};
CreatePolygon(NewId("mini_Tumba_6_0"),4,"mini_Tumba_6_0_table");
--ShowPolygon(obj.mini_Tumba_6_0.id,true);
AddEmiter(obj.mini_Tumba_6_0.id,"Standart_6_2");
StartEmiter("Standart_6_2");

mini_HollMuzeyaTajnik_6_0_table={600,459,700,459,700,488,600,488};
CreatePolygon(NewId("mini_HollMuzeyaTajnik_6_0"),4,"mini_HollMuzeyaTajnik_6_0_table");
--ShowPolygon(obj.mini_HollMuzeyaTajnik_6_0.id,true);
AddEmiter(obj.mini_HollMuzeyaTajnik_6_0.id,"Standart_6_6");
StartEmiter("Standart_6_6");

NewObj("bg_6_0","bg_6_0",0,0,"");
ActivateObject(obj.bg_6_0.id,false);

